# Class BasicFileChooserUI.CancelSelectionAction

java.lang.Object
javax.swing.AbstractAction
javax.swing.plaf.basic.BasicFileChooserUI.CancelSelectionAction

All Implemented Interfaces:
  `ActionListener`, `Serializable`, `Cloneable`, `EventListener`, `Action`

Enclosing class:
  `BasicFileChooserUI`

protected class BasicFileChooserUI.CancelSelectionAction extends AbstractAction
Responds to a cancel request.

## Field Summary

### Fields declared in class javax.swing.AbstractAction

`changeSupport, enabled`

### Fields declared in interface javax.swing.Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`CancelSelectionAction()`
Constructs a `CancelSelectionAction`.

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`
Invoked when an action occurs.

### Methods declared in class javax.swing.AbstractAction

`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods declared in class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface javax.swing.Action

`accept`

## Constructor Details

### CancelSelectionAction

protected CancelSelectionAction()
Constructs a `CancelSelectionAction`.

## Method Details

### actionPerformed

public void actionPerformed(ActionEvent e)
Invoked when an action occurs.

Parameters:
  `e` - the event to be processed